# -*- encoding: utf-8 -*-
# stub: azure_cognitiveservices_visualsearch 0.18.1 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_cognitiveservices_visualsearch".freeze
  s.version = "0.18.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/data/azure_cognitiveservices_videosearch" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2023-09-05"
  s.description = "Microsoft Azure Cognitive Services Visual Search Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/1.0".freeze, "lib/1.0/generated".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/images.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/action.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/aggregate_offer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/aggregate_rating.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/content_types.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/creative_work.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/crop_area.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/currency.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/error.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/error_code.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/error_response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/error_sub_code.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/filters.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/identifiable.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/image_action.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/image_entity_action.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/image_info.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/image_knowledge.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/image_module_action.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/image_object.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/image_recipes_action.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/image_related_searches_action.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/image_shopping_sources_action.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/image_tag.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/image_tag_region.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/images_image_metadata.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/images_module.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/intangible.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/item_availability.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/knowledge_request.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/media_object.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/normalized_quadrilateral.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/offer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/organization.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/person.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/point2d.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/properties_item.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/query.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/rating.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/recipe.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/recipes_module.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/related_searches_module.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/response_base.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/safe_search.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/structured_value.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/thing.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/models/visual_search_request.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/module_definition.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_visualsearch/visual_search_client.rb".freeze, "lib/azure_cognitiveservices_visualsearch.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/visualsearch_profile_module.rb".freeze, "lib/profiles/latest/visualsearch_latest_profile_client.rb".freeze, "lib/profiles/latest/visualsearch_module_definition.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Cognitive Services Visual Search.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
